# Configuration Source Drivers

In addition to command line options and configuration files, oslo.config can access configuration settings in other locations using drivers to define new sources.

## remote_file

A backend driver for remote files served through http[s].

Required options:

  - uri: URI containing the file location.

Non-required options:
  - ca_path: The path to a CA_BUNDLE file or directory with

      certificates of trusted CAs.

  - client_cert: Client side certificate, as a single file path

      containing either the certificate only or the private key and the certificate.

  - client_key: Client side private key, in case client_cert is

      specified but does not includes the private key.

this page last updated: 2026-01-28 20:28:15

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug